/*
|||||****************************************|||||
		Anthony Roy ** DF0024@gmail.com ** 
		Tech Artist ** www.anthonyroy.net **
|||||****************************************|||||
*/

macroscript AnimExport
	category:"Anthony Roy"
	tooltip:"Easy button to export FBX animation for UDK."
	buttontext:"Anim Export"

(
	holdMaxFile() 
	
	newFilePath = getSavePath()
	newFileName = getFilenameFile (maxFileName)
	completeFilePath = (newFilePath + "\\" + newFileName)
	
	/*
	Change the text below (PUT_PREFIX_HERE) and you will get a button to add to user interface of your animator.
	*/
	
	select $PUT_PREFIX_HERE*
	
			--Setting the FBXExporter for a skeletalmesh for UDK----------------------------
			--Geometry------------------------------------------------------------------------
			FBXExporterSetParam "SmoothingGroups" true
			FBXExporterSetParam "NormalsPerPoly" false
			FBXExporterSetParam "TangentSpaceExport" true
			FBXExporterSetParam "SmoothMeshExport" false
			FBXExporterSetParam "Preserveinstances" false
			FBXExporterSetParam "SelectionSetExport" false
			FBXExporterSetParam "GeomAsBone" false
			FBXExporterSetParam "Triangulate" true
			FBXExporterSetParam "PreserveEdgeOrientation" true
			--Animation------------------------------------------------------------------------
			FBXExporterSetParam "Animation" true
			FBXExporterSetParam "BakeAnimation" true
			FBXExporterSetParam "Skin" true
			FBXExporterSetParam "UseSceneName" true	
			--Cameras------------------------------------------------------------------------
			FBXExporterSetParam "Cameras" false
			--Lights------------------------------------------------------------------------
			FBXExporterSetParam "Lights" false
			--Embed Media--------------------------------------------------------------------
			FBXExporterSetParam "EmbedTextures" false
			--Units----------------------------------------------------------------------------
			--Axis Conversion-----------------------------------------------------------------
			FBXExporterSetParam "AxisConversionMethod" "None"
			FBXExporterSetParam "UpAxis" "Y" 
			--UI----------------------------------------------------------------
			FBXExporterSetParam "ShowWarnings" true
			FBXExporterSetParam "GenerateLog" false
			--FBX File Format----------------------------------------------------------------
			FBXExporterSetParam "ASCII" false
			FBXExporterSetParam "FileVersion" "FBX201200"
			
	exportFile completeFilePath #noPrompt selectedOnly:true using:FBXEXP
	
	fetchMaxFile quiet:true
	)