macroscript EasyAnimExport
	category:"Anthony Roy"
	tooltip:"Easy button to export FBX animation for UDK."
	buttontext:"Anim Export"

(
rollout MainWindow "EasyAnimExport"
(
	label BeforeMessage "Press Enter when you have write the prefix of your bones." 
	edittext PrefixTxt "Bone Prefix to Export:" fieldWidth:80 labelOnTop: false
		on PrefixTxt entered txt do
		(
			if txt != "" do
			(
				holdMaxFile() 
				execute ("select"+""+"$'"+txt + "'"+"*")
				newFilePath = getSavePath()
				newFileName = getFilenameFile (maxFileName)
				completeFilePath = (newFilePath + "\\" + newFileName)
				
				--Select the bone to export to UDK
				--Setting the FBXExporter for a skeletalmesh for UDK----------------------------
				--Geometry------------------------------------------------------------------------
				FBXExporterSetParam "SmoothingGroups" true
				FBXExporterSetParam "NormalsPerPoly" false
				FBXExporterSetParam "TangentSpaceExport" true
				FBXExporterSetParam "SmoothMeshExport" false
				FBXExporterSetParam "Preserveinstances" false
				FBXExporterSetParam "SelectionSetExport" false
				FBXExporterSetParam "GeomAsBone" false
				FBXExporterSetParam "Triangulate" true
				FBXExporterSetParam "PreserveEdgeOrientation" true
				--Animation------------------------------------------------------------------------
				FBXExporterSetParam "Animation" true
				FBXExporterSetParam "BakeAnimation" true
				FBXExporterSetParam "Skin" true
				FBXExporterSetParam "UseSceneName" true	
				--Cameras------------------------------------------------------------------------
				FBXExporterSetParam "Cameras" false
				--Lights------------------------------------------------------------------------
				FBXExporterSetParam "Lights" false
				--Embed Media--------------------------------------------------------------------
				FBXExporterSetParam "EmbedTextures" false
				--Units----------------------------------------------------------------------------
				--Axis Conversion-----------------------------------------------------------------
				FBXExporterSetParam "AxisConversionMethod" "None"
				FBXExporterSetParam "UpAxis" "Y" 
				--UI----------------------------------------------------------------
				FBXExporterSetParam "ShowWarnings" true
				FBXExporterSetParam "GenerateLog" false
				--FBX File Format----------------------------------------------------------------
				FBXExporterSetParam "ASCII" false
				FBXExporterSetParam "FileVersion" "FBX201200"
				
				exportFile completeFilePath #noPrompt selectedOnly:true using:FBXEXP
				
				fetchMaxFile quiet:true
			)
		)
  button CancelButton "Cancel"
  on CancelButton pressed do
	  DestroyDialog MainWindow
  )
  --ceci dtermine la taille de MainWindow
createDialog MainWindow 300 70
)


